Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class DBSecurityGroup

    java.lang.Object
      com.amazonaws.services.rds.model.DBSecurityGroup

    public class DBSecurityGroup

extends Object

Constructor Summary
`DBSecurityGroup()`

Method Summary
`String` | `getDBSecurityGroupDescription()` Provides the description of the database security group.
`String` | `getDBSecurityGroupName()` Specifies the name of the DB Security Group.
`List<EC2SecurityGroup>` | `getEC2SecurityGroups()` Contains a list of EC2SecurityGroup elements.
`List<IPRange>` | `getIPRanges()` Contains a list of IPRange elements.
`String` | `getOwnerId()` Provides the AWS ID of the owner of a specific DB Security Group.
`void` | `setDBSecurityGroupDescription(String dBSecurityGroupDescription)` Provides the description of the database security group.
`void` | `setDBSecurityGroupName(String dBSecurityGroupName)` Specifies the name of the DB Security Group.
`void` | `setEC2SecurityGroups(Collection<EC2SecurityGroup> eC2SecurityGroups)` Contains a list of EC2SecurityGroup elements.
`void` | `setIPRanges(Collection<IPRange> iPRanges)` Contains a list of IPRange elements.
`void` | `setOwnerId(String ownerId)` Provides the AWS ID of the owner of a specific DB Security Group.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DBSecurityGroup` | `withDBSecurityGroupDescription(String dBSecurityGroupDescription)` Provides the description of the database security group.
`DBSecurityGroup` | `withDBSecurityGroupName(String dBSecurityGroupName)` Specifies the name of the DB Security Group.
`DBSecurityGroup` | `withEC2SecurityGroups(Collection<EC2SecurityGroup> eC2SecurityGroups)` Contains a list of EC2SecurityGroup elements.
`DBSecurityGroup` | `withEC2SecurityGroups(EC2SecurityGroup... eC2SecurityGroups)` Contains a list of EC2SecurityGroup elements.
`DBSecurityGroup` | `withIPRanges(Collection<IPRange> iPRanges)` Contains a list of IPRange elements.
`DBSecurityGroup` | `withIPRanges(IPRange... iPRanges)` Contains a list of IPRange elements.
`DBSecurityGroup` | `withOwnerId(String ownerId)` Provides the AWS ID of the owner of a specific DB Security Group.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DBSecurityGroup

    public DBSecurityGroup()

Method Detail

### getOwnerId

    public String getOwnerId()

  Provides the AWS ID of the owner of a specific DB Security Group.

  Returns:
    Provides the AWS ID of the owner of a specific DB Security Group.

### setOwnerId

    public void setOwnerId(String ownerId)

  Provides the AWS ID of the owner of a specific DB Security Group.

  Parameters:
    `ownerId` - Provides the AWS ID of the owner of a specific DB Security Group.

### withOwnerId

    public DBSecurityGroup withOwnerId(String ownerId)

  Provides the AWS ID of the owner of a specific DB Security Group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ownerId` - Provides the AWS ID of the owner of a specific DB Security Group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBSecurityGroupName

    public String getDBSecurityGroupName()

  Specifies the name of the DB Security Group.

  Returns:
    Specifies the name of the DB Security Group.

### setDBSecurityGroupName

    public void setDBSecurityGroupName(String dBSecurityGroupName)

  Specifies the name of the DB Security Group.

  Parameters:
    `dBSecurityGroupName` - Specifies the name of the DB Security Group.

### withDBSecurityGroupName

    public DBSecurityGroup withDBSecurityGroupName(String dBSecurityGroupName)

  Specifies the name of the DB Security Group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSecurityGroupName` - Specifies the name of the DB Security Group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBSecurityGroupDescription

    public String getDBSecurityGroupDescription()

  Provides the description of the database security group.

  Returns:
    Provides the description of the database security group.

### setDBSecurityGroupDescription

    public void setDBSecurityGroupDescription(String dBSecurityGroupDescription)

  Provides the description of the database security group.

  Parameters:
    `dBSecurityGroupDescription` - Provides the description of the database security group.

### withDBSecurityGroupDescription

    public DBSecurityGroup withDBSecurityGroupDescription(String dBSecurityGroupDescription)

  Provides the description of the database security group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSecurityGroupDescription` - Provides the description of the database security group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEC2SecurityGroups

    public List<EC2SecurityGroup> getEC2SecurityGroups()

  Contains a list of EC2SecurityGroup elements.

  Returns:
    Contains a list of EC2SecurityGroup elements.

### setEC2SecurityGroups

    public void setEC2SecurityGroups(Collection<EC2SecurityGroup> eC2SecurityGroups)

  Contains a list of EC2SecurityGroup elements.

  Parameters:
    `eC2SecurityGroups` - Contains a list of EC2SecurityGroup elements.

### withEC2SecurityGroups

    public DBSecurityGroup withEC2SecurityGroups(EC2SecurityGroup... eC2SecurityGroups)

  Contains a list of EC2SecurityGroup elements.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `eC2SecurityGroups` - Contains a list of EC2SecurityGroup elements.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withEC2SecurityGroups

    public DBSecurityGroup withEC2SecurityGroups(Collection<EC2SecurityGroup> eC2SecurityGroups)

  Contains a list of EC2SecurityGroup elements.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `eC2SecurityGroups` - Contains a list of EC2SecurityGroup elements.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getIPRanges

    public List<IPRange> getIPRanges()

  Contains a list of IPRange elements.

  Returns:
    Contains a list of IPRange elements.

### setIPRanges

    public void setIPRanges(Collection<IPRange> iPRanges)

  Contains a list of IPRange elements.

  Parameters:
    `iPRanges` - Contains a list of IPRange elements.

### withIPRanges

    public DBSecurityGroup withIPRanges(IPRange... iPRanges)

  Contains a list of IPRange elements.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `iPRanges` - Contains a list of IPRange elements.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withIPRanges

    public DBSecurityGroup withIPRanges(Collection<IPRange> iPRanges)

  Contains a list of IPRange elements.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `iPRanges` - Contains a list of IPRange elements.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.